/***********************************************************************
 *
 * FileName:
 *		PnpView.h
 *
 * Description:
 *    Declaration of view functions for "Palm Network Programming"
 *    sample application.
 *
 * Copyright  2000, Greg Winton.
 * All rights reserved.
 *
 *******************************************************************/

#ifndef __PNPVIEW_H__
#define __PNPVIEW_H__

// Standard application definitions
#include "PnpDefs.h"

/*
   PnpViewClear:
   Clear the viewport.
   Parms:   caption        Caption for viewport.
   Returns: (none)
*/
void PnpViewClear (Char* caption);

/*
   PnpViewDrawText:
   Draw a line of text on the viewport.
   Parms:   text           Text to draw.
*/
void PnpViewDrawText (Char* text);

/*
   PnpViewDrawResources:
   Draw the current resources on the viewport.
   Parms:   text           Text to draw with resources.
*/
void PnpViewDrawResources (Char* text);

/*
   PnpViewDrawVSpace:
   Draw the current resources on the viewport.
   Parms:   (none)
*/
void PnpViewDrawVSpace ();

#endif	// __PNPVIEW_H__
